# AdaDPSyn

Codes for "Data-adaptive Differentially Private Prompt Synthesis for In-Context Learning".


## Requirements

#### 1. vLLM OpenAI Compatible Server

To use the vLLM server for model inference, follow the steps below:

##### Install vLLM

```bash
pip install vllm==0.3.1
```

##### Start the vLLM OpenAI-compatible API server

```bash
python -m vllm.entrypoints.openai.api_server --model meta-llama/Llama-2-7b-hf --dtype auto --api-key EMPTY --port 8000
```


#### 2. Install Required Packages

```bash
pip install openai==1.12.0
pip install numpy==1.26.4
pip install pandas==2.2.2
pip install random
```

## Experiments


The following example shows how to run an experiment on the TREC dataset at epsilon = 8:


```
./trec_eps_8.sh
```

